%define product   FCKeditor
%define version   2.2.1
%define release   3

%define rpm_prefix erp5
%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   A product to integrate FCKeditor WYSIWYG web editor in Zope.
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   LGPL
Group:     System/Servers
Source0:   %{product}-%{version}.tar.bz2
URL:       http://www.fckeditor.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Requires:  %{rpm_prefix}-zope

#----------------------------------------------------------------------
%description

#----------------------------------------------------------------------
%prep
%setup -q -c

%build

%install
%{__rm} -rf  %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 2.2.1-3mdv2007.1
- add *.pyc

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 2.2.1-2mdv2007.0
- Rebuild for Mandriva 2007.0

* Thu May 11 2006 Kevin Deldycke <kevin@nexedi.com> 2.2.1-1mdk
- Update to version 2.2.1
- Fix spec file url

* Tue May 02 2006 Kevin Deldycke <kevin@nexedi.com> 2.0.2-1mdk
- Initial release
